%Random phase and amplitude
function generate_jonswap_file(HS,TP,SEED,Tmin,Tmax,nFreq,dir)

    
    rng(SEED);
    
    w_min=2*pi/Tmax;
    w_max=2*pi/Tmin;
    w_disc=linspace(w_min,w_max,nFreq+1);
    dw=w_disc(2)-w_disc(1);
    w_disc=linspace(w_min,w_max-dw,nFreq);
    
    w_rnd=w_disc+rand(1,nFreq)*dw;

    S=JONSWAP2(w_rnd, TP, HS, 3.3);
    [ S, Amp, Phase ] = JONSWAP_mathworks(w_rnd, HS, TP);
    
    
    A_i=sqrt(2*S*dw);
    T_i=2*pi./w_rnd;
    
    %rng(SEED)
    phase_i=rand(1,nFreq)*360;
    
    
    
    t=linspace(0,3*3600,3*3600*5);
    S_tot=zeros(1,length(t));
    
    fid=fopen('spec.txt','w');
    fprintf(fid,'%s           Wave components       \n',char(39));
    fprintf(fid,'%s\n',char(39));
    fprintf(fid,'%sComp\tAmplitude\tPeriod\t\tDir\t\t\tPhase\n',char(39));
    
    for i=1:nFreq
        S_tot=S_tot+A_i(i)*cos(t*w_rnd(i)+floor(phase_i(i))*2*pi/360);
        fprintf(fid,'\t%i\t%.16f\t%f\t%f\t%i\n',i,A_i(i),T_i(i),dir,-floor(phase_i(i)));
    end
    fprintf(fid,'%s\n',char(39));
    fprintf(fid,'%s',char(39));
    fclose(fid);
    
%     figure
%     plot(S_tot)
%     
%     figure
%     hold on
%     omega_plot=(linspace(2*pi/25,2*pi/0.5,1000));
%     [S_fft,Sraw]=psd_fft(S_tot',20,omega_plot/(2*pi),5);
%     plot(omega_plot,S_fft/(2*pi));
%     plot(w_rnd,S);
    

end